OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
AmoebaPiTorsionForce Class Reference

This class implements the Amoeba pi-torsion interaction. More...

Inheritance diagram for AmoebaPiTorsionForce:

## Public Member Functions
def | getNumPiTorsions
| getNumPiTorsions(AmoebaPiTorsionForce self) -> int More...
def | addPiTorsion
| addPiTorsion(AmoebaPiTorsionForce self, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k) -> int More...
def | getPiTorsionParameters
| getPiTorsionParameters(AmoebaPiTorsionForce self, int index) More...
def | setPiTorsionParameters
| setPiTorsionParameters(AmoebaPiTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaPiTorsionForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaPiTorsionForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaPiTorsionForce self) -> AmoebaPiTorsionForce init(OpenMM::AmoebaPiTorsionForce self, AmoebaPiTorsionForce other) -> AmoebaPiTorsionForce More...
def | __del__
| del(OpenMM::AmoebaPiTorsionForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class implements the Amoeba pi-torsion interaction.

To use it, create an AmoebaPiTorsionForce object then call addPiTorsion() once for each torsion. After a torsion has been added, you can modify its force field parameters by calling setPiTorsionParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaPiTorsionForce self) -> AmoebaPiTorsionForce init(OpenMM::AmoebaPiTorsionForce self, AmoebaPiTorsionForce other) -> AmoebaPiTorsionForce

Create an AmoebaPiTorsionForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaPiTorsionForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addPiTorsion | ( |  | self,
|  |  | args
| ) |  |

addPiTorsion(AmoebaPiTorsionForce self, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k) -> int

Add a torsion term to the force field.

Parameters

  particle1 | the index of the first particle connected by the torsion
  particle2 | the index of the second particle connected by the torsion
  particle3 | the index of the third particle connected by the torsion
  particle4 | the index of the fourth particle connected by the torsion
  particle5 | the index of the fifth particle connected by the torsion
  particle6 | the index of the sixth particle connected by the torsion
  k | the force constant for the torsion

References simtk.openmm.openmm.stripUnits().

def getNumPiTorsions | ( |  | self,
|  |  | args
| ) |  |

getNumPiTorsions(AmoebaPiTorsionForce self) -> int

Get the number of pi torsion terms in the potential function

References simtk.openmm.openmm.stripUnits().

def getPiTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

getPiTorsionParameters(AmoebaPiTorsionForce self, int index)

Get the force field parameters for a torsion term.

Parameters

  index | the index of the torsion for which to get parameters
  particle1 | the index of the first particle connected by the torsion
  particle2 | the index of the second particle connected by the torsion
  particle3 | the index of the third particle connected by the torsion
  particle4 | the index of the fourth particle connected by the torsion
  particle5 | the index of the fifth particle connected by the torsion
  particle6 | the index of the sixth particle connected by the torsion
  k | the force constant for the torsion

References simtk.openmm.openmm.stripUnits().

def setPiTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

setPiTorsionParameters(AmoebaPiTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k)

Set the force field parameters for a pi torsion term.

Parameters

  index | the index of the torsion for which to set parameters
  particle1 | the index of the first particle connected by the torsion
  particle2 | the index of the second particle connected by the torsion
  particle3 | the index of the third particle connected by the torsion
  particle4 | the index of the fourth particle connected by the torsion
  particle5 | the index of the fifth particle connected by the torsion
  particle6 | the index of the sixth particle connected by the torsion
  k | the force constant for the torsion

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaPiTorsionForce self, Context context)

Update the per-torsion parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setPiTorsionParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-torsion parameters. The set of particles involved in a torsion cannot be changed, nor can new torsions be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaPiTorsionForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py